﻿/*
* Copyright (c) 2006-2007 Erin Catto http://www.gphysics.com
*
* This software is provided 'as-is', without any express or implied
* warranty.  In no event will the authors be held liable for any damages
* arising from the use of this software.
* Permission is granted to anyone to use this software for any purpose,
* including commercial applications, and to alter it and redistribute it
* freely, subject to the following restrictions:
* 1. The origin of this software must not be misrepresented; you must not
* claim that you wrote the original software. If you use this software
* in a product, an acknowledgment in the product documentation would be
* appreciated but is not required.
* 2. Altered source versions must be plainly marked as such, and must not be
* misrepresented as being the original software.
* 3. This notice may not be removed or altered from any source distribution.
*/

package{

import Box2D.Collision.*;
import Box2D.Collision.Shapes.*;
import Box2D.Common.Math.*;
import Box2D.Dynamics.*;
import Box2D.Dynamics.Contacts.*;
import Box2D.Dynamics.Joints.*;

import DDW.Vex2D.*;

import General.*;

import Library.*;

import flash.display.*;
import flash.events.Event;
import flash.text.*;

	public class Main extends Sprite
	{
		public static var rootSprite:Sprite;
		
		public var curWorld:SceneCreator;
		public var input:Input;
		
		public function Main()
		{
			addEventListener(Event.ENTER_FRAME, update, false, 0, true);
				
			rootSprite = new Sprite();
			this.addChild(rootSprite);
								
			
			input = new Input(rootSprite);
			
			var dt:SceneData = new GearJoint();//Scene4Data();	
			curWorld = new SceneCreator(dt);
			curWorld.CreateFullScene();
		}
		
		public function update(e:Event):void
		{
			rootSprite.graphics.clear();			
			curWorld.Update();			
			Input.update();
		}
		
	}
}